Name:       perl-Net-UPnP
Version:    1.4.6
Release:    2%{?dist}
Summary:    Perl extension for UPnP
License:    BSD
URL:        https://metacpan.org/release/Net-UPnP
Source0:    https://cpan.metacpan.org/authors/id/S/SK/SKONNO/Net-UPnP-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
BuildRequires:  perl(vars)
BuildRequires:  perl(version)
BuildRequires:  perl(Test::More)

%description
This package provides some functions to control UPnP devices.

%prep
%setup -q -n Net-UPnP-%{version}
find -name '*.pm' -exec chmod a-x '{}' +

for file in examples/*.pl; do
    sed '1 s|^#!/usr/bin/env perl|%(perl -MConfig -e 'print $Config{startperl}')|g' \
        "$file" > "${file}.mod" && \
    touch -r "$file" "${file}.mod" && \
    mv "${file}.mod" "$file"
done

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc AUTHORS Changes README examples/
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::UPnP*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.4.6-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.6-1
- initial build
